﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" xmlns:viewmodels="clr-namespace:TimeTracker.Apps.ViewModels" x:DataType="viewmodels:MePageViewModel"
             x:Class="TimeTracker.Apps.Pages.MePage"
             Title="Edition du profil"
             >
    <NavigationPage.TitleView>
        <ImageButton Source="test2.png"
                     HorizontalOptions="Center"
                     VerticalOptions="CenterAndExpand"
                     WidthRequest="50" HeightRequest="50"
                     BorderColor="Transparent"
                     BackgroundColor="Transparent"
                     Command="{Binding BackToMeCommand}"/>
    </NavigationPage.TitleView>

    <ContentPage.Content>
        <StackLayout HorizontalOptions="FillAndExpand">

            <Label Text="ÉDITER VOTRE PROFIL"
                   FontSize="Large"
                   FontAttributes="Bold"
                   HorizontalOptions="Center"
                   Padding="20">
                

            </Label>

            <StackLayout Padding="5">
                            
                <Frame BackgroundColor="Transparent" BorderColor="DarkGray" Padding="10" Margin="5"   HorizontalOptions="FillAndExpand">
                                
                    <StackLayout Orientation="Vertical" Margin="5">
                        <Entry x:Name="Email" Text="{Binding Email}" Placeholder="Email" Keyboard="Email" ClearButtonVisibility="WhileEditing"/>
                        <Entry x:Name="FirstName" Text="{Binding FirstName}" Placeholder="Prénom" Keyboard="Text" ClearButtonVisibility="WhileEditing"/>
                        <Entry x:Name="LastName" Text="{Binding LastName}" Placeholder="Nom" Keyboard="Text" ClearButtonVisibility="WhileEditing"
                               />
                        <Button Text="Enregistrer les informations"
                                TextColor="White"
                                Command="{Binding ChangeUser}"
                                CornerRadius="32"
                                Margin="20"
                                BackgroundColor="CadetBlue"
                                />
                    </StackLayout>
                              
                </Frame>
            </StackLayout>
            <Label></Label>
            <StackLayout Padding="5">
                            
                <Frame BackgroundColor="Transparent" BorderColor="DarkGray" Padding="10" Margin="5"   HorizontalOptions="FillAndExpand">
                                
                    <StackLayout Orientation="Vertical" Margin="5">
                        <Entry x:Name="OldPassword" Text="{Binding OldPassword}" IsPassword="True" Placeholder="Ancien mot de passe"/>
                        <Entry x:Name="NewPassword" Text="{Binding NewPassword}" IsPassword="True" Placeholder="Nouveau mot de passe"/>

                        <Button Text="Enregistrer nouveau mot de passe"
                                TextColor="White"
                                Command="{Binding ChangePassword}"
                                CornerRadius="32"
                                Margin="20"
                                BackgroundColor="CadetBlue"/>
                        
                    </StackLayout>
                      
                </Frame>
            </StackLayout>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>